package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * vip课程类型
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("vip_group_category")
public class VipGroupCategory extends Model<VipGroupCategory> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Integer id;
    /**
     * 名称
     */
    @TableField("name_")
    private String name;
    /**
     * 线上薪水
     */
    @TableField("online_classes_salary_")
    private BigDecimal onlineClassesSalary;
    /**
     * 线下薪水
     */
    @TableField("offline_classes_salary_")
    private BigDecimal offlineClassesSalary;
    @TableField("del_flag_")
    private String delFlag;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public VipGroupCategory setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public VipGroupCategory setName(String name) {
        this.name = name;
        return this;
    }

    public BigDecimal getOnlineClassesSalary() {
        return onlineClassesSalary;
    }

    public VipGroupCategory setOnlineClassesSalary(BigDecimal onlineClassesSalary) {
        this.onlineClassesSalary = onlineClassesSalary;
        return this;
    }

    public BigDecimal getOfflineClassesSalary() {
        return offlineClassesSalary;
    }

    public VipGroupCategory setOfflineClassesSalary(BigDecimal offlineClassesSalary) {
        this.offlineClassesSalary = offlineClassesSalary;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public VipGroupCategory setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public VipGroupCategory setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public VipGroupCategory setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "VipGroupCategory{" +
        ", id=" + id +
        ", name=" + name +
        ", onlineClassesSalary=" + onlineClassesSalary +
        ", offlineClassesSalary=" + offlineClassesSalary +
        ", delFlag=" + delFlag +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
